commit: 777ed184b12aca9469ab2d8339a2f168e40f338a
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 1 07:30:07 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 1 07:30:07 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=777ed184
dev-python/pydantic: add 1.9.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/pydantic/Manifest | 1 +
dev-python/pydantic/pydantic-1.9.0.ebuild | 49 +++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index 52e9b8c45281..4fefdc7318ef 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -1 +1,2 @@
DIST pydantic-1.8.2_p20210719.tar.gz 310729 BLAKE2B
1905ddd100e3a40b48eadc7beb75542f4a59ff8ef55115105041b0c06249ee67df1ca91003bc01f828c543c757ec8931ff2d31663d33ca16f356f62f71a61474
SHA512
c9d91788b3143b211755806e533ae0ccafa2ab101159f98eeba921ec9370956e8f8b0f210e6ddddcef2345ea391d2e1011ea5498d2f7985bd711f48d025e30d5
+DIST pydantic-1.9.0.tar.gz 299758 BLAKE2B
f6c2b89e598fc94db74b8165c449c752f11166752b12bbd37c23902b74c1f895bbd49b8fc4dc8da86b10880ac2e37178275cc28a42964e1133397364ea268d02
SHA512
ace542ff12698d568f2bea6121afc889c51892042b1a1b98464a6da6f71e50ecd8aafff7abd7ffd16983769844f7c970099d1fee7aa788f2e78172c0d5c4f472
diff --git a/dev-python/pydantic/pydantic-1.9.0.ebuild
b/dev-python/pydantic/pydantic-1.9.0.ebuild
new file mode 100644
index 000000000000..13d5081663e0
--- /dev/null
+++ b/dev-python/pydantic/pydantic-1.9.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="https://github.com/samuelcolvin/pydantic"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/python-email-validator[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/CFLAGS/d' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # flaky test, known upstream
+
tests/test_hypothesis_plugin.py::test_can_construct_models_with_all_fields
+ )
+ [[ ${EPYTHON} == "python3.8" ]] && EPYTEST_DESELECT+=(
+ # Those fail on python 3.8 as None changed typing semantic on
>=3.9
+ "tests/test_types.py::test_none[value_type3]"
+ tests/test_typing.py::test_is_none_type
+ )
+ distutils_install_for_testing
+ epytest
+}